Get job by ID
curl --request GET \
--url https://api-service.fribl.co/api/v1/jobs/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-service.fribl.co/api/v1/jobs/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-service.fribl.co/api/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-service.fribl.co/api/v1/jobs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-service.fribl.co/api/v1/jobs/{id}")
.header("x-api-key", "<api-key>")
.asString();{
"message": "<string>",
"status": "COMPLETED",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"information": {
"title": "Senior Software Engineer",
"company": "Tech Corp",
"description": "We are looking for...",
"activity_sector": "Technology",
"locations": [
{
"city": "Amsterdam",
"country": "Netherlands"
}
],
"job_type": "Full-time",
"contract_type": "Permanent"
},
"experience_preference": {
"title": "Software Engineer",
"activity_sector": "Technology",
"description": "Experience in backend development",
"duration": 60
},
"education_preference": {
"degree": "Master of Science",
"major": "Computer Science",
"score": ""
},
"job_requirements": [
"5+ years experience",
"Strong communication"
],
"source_language": "<string>",
"hard_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"soft_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
}{
"error": "<string>"
}{
"message": "<string>",
"status": "PENDING"
}Jobs
Get job by ID
Retrieve a single job description by its unique identifier. Returns the full job object including extracted information, experience and education preferences, requirements, skills, and metadata.
GET
/
jobs
/
{id}
Get job by ID
curl --request GET \
--url https://api-service.fribl.co/api/v1/jobs/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-service.fribl.co/api/v1/jobs/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-service.fribl.co/api/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-service.fribl.co/api/v1/jobs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-service.fribl.co/api/v1/jobs/{id}")
.header("x-api-key", "<api-key>")
.asString();{
"message": "<string>",
"status": "COMPLETED",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"information": {
"title": "Senior Software Engineer",
"company": "Tech Corp",
"description": "We are looking for...",
"activity_sector": "Technology",
"locations": [
{
"city": "Amsterdam",
"country": "Netherlands"
}
],
"job_type": "Full-time",
"contract_type": "Permanent"
},
"experience_preference": {
"title": "Software Engineer",
"activity_sector": "Technology",
"description": "Experience in backend development",
"duration": 60
},
"education_preference": {
"degree": "Master of Science",
"major": "Computer Science",
"score": ""
},
"job_requirements": [
"5+ years experience",
"Strong communication"
],
"source_language": "<string>",
"hard_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"soft_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
}{
"error": "<string>"
}{
"message": "<string>",
"status": "PENDING"
}Authorizations
API key in UUID format. Include this header with every authenticated request.
Path Parameters
Unique identifier of the job.
⌘I